## Description

Hikou no mizu is a libre software anime-inspired fighting game. Its dependencies include:
-SDL2, SDL2_Image
-OpenGL (1.1 +)
-Freetype2
-OpenAL, libogg, libvorbis, libvorbisfile
-TinyXML
-libpthread

Thanks to the contributors of all these libraries!

The characters fight using natural powers e.g. water or lightning. 
All the graphics are free (various free software licences) and drawn with a vectorized style.

## License

Note: In this file and in all files contained in this Hikou no mizu distribution,
'Copyright 2010-2020' means 'Copyright 2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020'.

Files: CMakeLists.txt, README, and src/* (All files and folders recursively contained in the src folder)
Copyright: 2010-2020 Duncan Deveaux <duncan@hikounomizu.org>
License: GPLv3 (full text: src/COPYING)

Files: data/*
see data/COPYING

### Project website

Main website : https://hikounomizu.org
Wiki (Dokuwiki) : https://wiki.hnm.tuxfamily.org

### E-mail adress

duncan@hikounomizu.org

## Changelog

**Hikou no mizu 0.8.9**

- Migration to SDL2 (benefits include joysticks hot-plug support)
- New and improved characters selection menu (with graphics and preview)
- New and improved arena selection menu (with graphics and preview)
- Key binders added
- Joysticks support
- Takino animations drawing completed
- Added four arenas: __Konomachi__, __Longyear__, __Ísui__, and __Järvi__
- New musics: __VHSailing Rally__, __Riverwave__ and __Hai__, __Insan3Lik3__
- Dynamic fight camera adapting to the position of players in the arena
- Improved fight interface, character icons added
- Hit-able platforms
- Better text rendering (kerning support)
- utf8 text printing
- Various gameplay adjustments
- Switch to the CMake building system
- Haiku support!

## Installation

Hikou no mizu uses CMake as a building system.

To build and install the project, you may type,
from the same directory where this README is located:

$ mkdir build
$ cd build
$ cmake .. -DCMAKE_INSTALL_PREFIX=prefix/path/to/installation -DCMAKE_INSTALL_DATADIR=where/data/should/be/installed
$ make
$ make install

Example for a unix system-wide installation:
$ cmake .. -DCMAKE_INSTALL_PREFIX=/usr
$ make -j4
$ make install
$ hikounomizu   # Launch the game

Example for a standalone installation: (installation of the executable in the project
                                        directory, with a relative reference path to data)
$ cmake .. -DHNM_STANDALONE=1
$ make -j4
$ make install
$ cd ..
$ ./hikounomizu # Launch the game locally

Example for a debug build to run the game locally without installation:
                                    (will break if the data dir is moved)
$ cmake .. -DHNM_NOINSTALL=1
$ make -j4
$ ./hikounomizu # Launch the game locally

Other useful parameters:
$ cmake .. -DCMAKE_BUILD_TYPE=Debug # Adds debug information
$ cmake .. -DCMAKE_BUILD_TYPE=Release # Runs compiler optimizations
